<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    { 
        Schema::create('etab_prof', function (Blueprint $table) {
            $table->id();
        
            $table->foreignId('etablissement_id')
                ->constrained()
                ->onDelete('cascade');
        
            $table->foreignId('professeur_id')
                ->constrained()
                ->onDelete('cascade');
        
            $table->date('date_affectation')->nullable();
            $table->date('date_fin')->nullable();
        
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('etab_profs');
    }
};
